Create Patient
curl --request POST \
--url https://api.eesi.ai/v1/care/patients \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"phone_number": "<string>",
"preferred_name": "<string>",
"timezone": "America/Toronto",
"language": "English",
"notes": "<string>",
"companion_config": {
"persona": "warm_granddaughter",
"companion_name": "Amira",
"voice": "<string>",
"provider_override": "<string>"
},
"care_profile": {},
"schedules": [
{
"call_time": "<string>",
"days_of_week": [
123
],
"label": "Daily check-in",
"enabled": true,
"max_attempts": 2,
"retry_delay_minutes": 15
}
]
}
'import requests
url = "https://api.eesi.ai/v1/care/patients"
payload = {
"name": "<string>",
"phone_number": "<string>",
"preferred_name": "<string>",
"timezone": "America/Toronto",
"language": "English",
"notes": "<string>",
"companion_config": {
"persona": "warm_granddaughter",
"companion_name": "Amira",
"voice": "<string>",
"provider_override": "<string>"
},
"care_profile": {},
"schedules": [
{
"call_time": "<string>",
"days_of_week": [123],
"label": "Daily check-in",
"enabled": True,
"max_attempts": 2,
"retry_delay_minutes": 15
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
phone_number: '<string>',
preferred_name: '<string>',
timezone: 'America/Toronto',
language: 'English',
notes: '<string>',
companion_config: {
persona: 'warm_granddaughter',
companion_name: 'Amira',
voice: '<string>',
provider_override: '<string>'
},
care_profile: {},
schedules: [
{
call_time: '<string>',
days_of_week: [123],
label: 'Daily check-in',
enabled: true,
max_attempts: 2,
retry_delay_minutes: 15
}
]
})
};
fetch('https://api.eesi.ai/v1/care/patients', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"patient_uuid": "<string>",
"name": "<string>",
"preferred_name": "<string>",
"phone_number": "<string>",
"timezone": "<string>",
"language": "<string>",
"notes": "<string>",
"companion_config": {},
"care_profile": {},
"status": "active",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"schedules": [
{
"schedule_uuid": "<string>",
"label": "<string>",
"call_time": "<string>",
"days_of_week": [
123
],
"enabled": true,
"max_attempts": 123,
"retry_delay_minutes": 123,
"next_run_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"latest_call": {
"call_uuid": "<string>",
"patient_uuid": "<string>",
"patient_name": "<string>",
"status": "scheduled",
"scheduled_for": "2023-11-07T05:31:56Z",
"attempt": 123,
"error": "<string>",
"summary": "<string>",
"mood_score": 123,
"result": {},
"speech_session_uuid": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"open_alert_count": 123,
"recent_observations": [
{
"id": 123,
"category": "<string>",
"summary": "<string>",
"value": {},
"confidence": 123,
"evidence": "<string>",
"observed_at": "2023-11-07T05:31:56Z",
"care_call_id": 123
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}main
Create Patient
Enroll a patient and their call schedules.
POST
/
v1
/
care
/
patients
Create Patient
Authorizations
BearerAuthApiKeyHeader
An EESI API key (sk-eesi-...) or a Clerk session token.
Body
application/json
Required string length:
1 - 255Pattern:
^\+[1-9]\d{1,14}$Maximum string length:
128Required string length:
1 - 64Maximum string length:
4000How the companion presents itself to one patient.
Show child attributes
Show child attributes
Maximum array length:
10Show child attributes
Show child attributes
Response
Successful Response
Available options:
active, paused, archived Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes